Subject: Re: bug#63910: 29.0.91; icomplete-mode ignores minibuffer-completion-confirm

From: Manuel Zimmermann <[email-masked]>
Date: Tue, 06 Jun 2023 12:13:31 +0200

I want to add that the reason why I tried to customize
`minibuffer-complete-and-exit` is that it is mentioned in the Emacs
manual in chapter 8.4.3 Completion Exit:

  When a command reads an argument using the minibuffer with completion,
  it also controls what happens when you type <RET>
  (‘minibuffer-complete-and-exit’) to submit the argument. There are
  four types of behavior: [...]

While re-reading this chapter today I stumbled upon another variable
`confirm-nonexistent-file-or-buffer`. This one does exactly what I want
and works. The actual issue described in the original post is therefore
solved, but I think the documentation can be improved.

I thought may it is just a problem with icomplete-mode. When I just
evaluate (setq minibuffer-completion-confirm 'confirm) in emacs -Q, it
still does not have any effect. Maybe the variable shouldn't be
mentioned at all or at least the purpose of it should be described
better.